Package com.documentum.fc.client.content

# Interface IDfFileStore

All Superinterfaces:
  `IDfPersistentObject`, `IDfStore`, `IDfTypedObject`

public interface IDfFileStore extends IDfStore
A file-based content storage area.

Since:
  5.4

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getActiveBytes()`
  Gets the number of bytes of active files in this storage.
  `long`
  `getActiveFileCount()`
  Gets the number of active files in this file storage.
  `String`
  `getFTIndexName()`
  Gets the name of the FT index of this storage.
  `long`
  `getOrphanedBytes()`
  Gets the number of bytes of orphaned files in this storage.
  `long`
  `getOrphanedFileCount()`
  Gets the number of Orphaned files in this file storage.
  `String`
  `getRoot()`
  `boolean`
  `getUseExtensions()`
  `boolean`
  `isPublic()`
  `void`
  `setCreateFtIndex(boolean isFTIndex)`
  Creates a new FT index for this storage, with its location_name equal to the store's root.
  `void`
  `setNewRoot(String path)`
  Sets the root of this storage by specifying the system path.
  `void`
  `setPublic(boolean value)`
  `void`
  `setRoot(String value)`
  `void`
  `setUseExtensions(boolean value)`

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.content.IDfStore

  `getBaseUrl, getCapacity, getComponent, getComponentCount, getComponentId, getComponentIdCount, getCompressionMode, getContentDuplPref, getContentHashMode, getCredentialId, getCredentialKey, getCryptoKey, getCryptoMode, getCurrentUse, getDigitalShredding, getGetMethod, getJavaAccess, getMediaType, getName, getNativeAccess, getOfflineGetMethod, getRequireTicket, getStatus, getStoreType, getUseMaskAfter, setBaseUrl, setCapacity, setComponent, setCompressionMode, setContentDuplPref, setContentHashMode, setCredentialId, setCredentialKey, setCryptoKey, setCryptoMode, setCurrentUse, setDigitalShredding, setGetMethod, setJavaAccess, setMediaType, setName, setNativeAccess, setOfflineGetMethod, setRequireTicket, setStatus, setStoreType`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getRoot

    String getRoot() throws DfException
    Throws:
      `DfException`

  - ### setRoot

    void setRoot(String value) throws DfException
    Throws:
      `DfException`

  - ### isPublic

    boolean isPublic() throws DfException
    Throws:
      `DfException`

  - ### setPublic

    void setPublic(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getUseExtensions

    boolean getUseExtensions() throws DfException
    Throws:
      `DfException`

  - ### setUseExtensions

    void setUseExtensions(boolean value) throws DfException
    Throws:
      `DfException`

  - ### setNewRoot

    void setNewRoot(String path) throws DfException
    Sets the root of this storage by specifying the system path. The location object is created when save. The name of the location is _location[id] where id is an unique identifier. For example, replicatStore_location10.
    Parameters:
      `path` - The system path of the location.
    Throws:
      `DfException`

  - ### setCreateFtIndex

    void setCreateFtIndex(boolean isFTIndex) throws DfException
    Creates a new FT index for this storage, with its location_name equal to the store's root. This method only applies to new storage. If this method is called on an existing storage, an exception is thrown.
    Parameters:
      `isFTIndex` - If true, creates fulltext index for this storage.
    Throws:
      `DfException`

  - ### getFTIndexName

    String getFTIndexName() throws DfException
    Gets the name of the FT index of this storage. If this is a new storage, this method returns null because there is no full text index yet.
    Returns:
      The name of the FT index of this storage.
    Throws:
      `DfException`

  - ### getActiveFileCount

    long getActiveFileCount() throws DfException
    Gets the number of active files in this file storage.
    Returns:
      The number of active files in this storage.
    Throws:
      `DfException`

  - ### getActiveBytes

    long getActiveBytes() throws DfException
    Gets the number of bytes of active files in this storage.
    Returns:
      The number of bytes of active files in this storage.
    Throws:
      `DfException`

  - ### getOrphanedFileCount

    long getOrphanedFileCount() throws DfException
    Gets the number of Orphaned files in this file storage.
    Returns:
      The number of orphaned files in this storage.
    Throws:
      `DfException`

  - ### getOrphanedBytes

    long getOrphanedBytes() throws DfException
    Gets the number of bytes of orphaned files in this storage.
    Returns:
      The number of bytes of orphaned files in this storage.
    Throws:
      `DfException`